---
updatedAt: 2025-09-10T21:00:28.000Z
agentTools:
  projectIndex: https://shipcars.readme.io/llms.txt
---

# /notifications/

Retrieves a list of notifications for events.

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "CTMS",
    "description": "Ship.Cars CTMS",
    "contact": {
      "url": "https://ship.cars",
      "email": "support@ship.cars"
    },
    "version": "1.0.0"
  },
  "components": {
    "securitySchemes": {
      "bearerAuth": {
        "type": "oauth2",
        "flows": {
          "password": {
            "tokenUrl": "https://auth.ship.cars/auth/realms/master/protocol/openid-connect/token",
            "scopes": {}
          }
        }
      }
    }
  },
  "servers": [
    {
      "url": "https://ship.cars/api"
    }
  ],
  "paths": {
    "/notifications/": {
      "get": {
        "tags": [
          "Notifications"
        ],
        "description": "Retrieves a list of notifications for events.",
        "operationId": "notifications_list",
        "parameters": [
          {
            "name": "Authorization",
            "in": "header",
            "description": "Authenticates API requests with a valid access token.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "event_type__category",
            "in": "query",
            "description": "Returns only notifications that match the specified category of the event type.",
            "schema": {
              "type": "string",
              "enum": [
                "general",
                "broker",
                "driver"
              ]
            }
          },
          {
            "name": "ordering",
            "in": "query",
            "description": "Specifies the resource field to use for ordering the results.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "limit",
            "in": "query",
            "description": "Specifies the maximum number of results to return per page. Combine with `offset` for pagination.",
            "schema": {
              "type": "integer"
            }
          },
          {
            "name": "offset",
            "in": "query",
            "description": "Specifies the number of results to skip in the response. Combine with `limit` for pagination.",
            "schema": {
              "type": "integer"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "required": [
                    "count",
                    "results"
                  ],
                  "type": "object",
                  "properties": {
                    "results": {
                      "uniqueItems": true,
                      "type": "array",
                      "description": "List of results on the page.",
                      "items": {
                        "required": [
                          "event_type",
                          "event_type_category",
                          "extra_object",
                          "load"
                        ],
                        "type": "object",
                        "properties": {
                          "url": {
                            "type": "string",
                            "description": "URL of the notification resource.",
                            "format": "uri",
                            "readOnly": true
                          },
                          "id": {
                            "type": "string",
                            "description": "Unique ID of the notification.",
                            "readOnly": true
                          },
                          "event_type": {
                            "pattern": "^[-a-zA-Z0-9_]+$",
                            "type": "string",
                            "description": "Type of the event triggering the notification.",
                            "format": "slug",
                            "enum": [
                              "dispatched",
                              "accepted",
                              "assigned",
                              "picked-up",
                              "delivered",
                              "will_expire",
                              "expired",
                              "broker_change",
                              "change_accepted",
                              "offer_accepted",
                              "new_broker_offer",
                              "new_carrier_offer",
                              "new_instant_book_offer",
                              "instant_booked",
                              "posting_dispatched",
                              "posting_broker_canceled",
                              "negotiation_canceled",
                              "negotiation_canceled_broker"
                            ]
                          },
                          "event_type_category": {
                            "type": "string",
                            "description": "Category of the event triggering the notification.",
                            "enum": [
                              "general",
                              "driver",
                              "broker",
                              "loadboard"
                            ]
                          },
                          "demo": {
                            "type": "boolean",
                            "description": "Indicates whether this is a demo notification.",
                            "readOnly": true,
                            "default": false
                          },
                          "actor_company": {
                            "type": "string",
                            "description": "URL of the resource for the company with which the actor user is associated.",
                            "format": "uri",
                            "readOnly": true
                          },
                          "extra_object": {
                            "type": "object",
                            "properties": {
                              "object_type": {
                                "type": "string",
                                "description": "Resource type of the extra object.",
                                "enum": [
                                  "load",
                                  "vehicle",
                                  "offer",
                                  "user"
                                ]
                              },
                              "pk": {
                                "type": "string",
                                "description": "ID of the extra object resource."
                              },
                              "url": {
                                "type": "string",
                                "description": "URL of the extra object resource.",
                                "format": "uri"
                              }
                            },
                            "description": "Details of the extra resource object affected by the event."
                          },
                          "carrier": {
                            "type": "string",
                            "description": "URL of the resource for the carrier company to which the affected load is dispatched.",
                            "format": "uri",
                            "readOnly": true
                          },
                          "shipper": {
                            "type": "string",
                            "description": "URL of the resource for the shipper company that created the affected load.",
                            "format": "uri",
                            "readOnly": true
                          },
                          "read": {
                            "type": "boolean",
                            "description": "Indicates whether the user has read the notification.",
                            "readOnly": true
                          },
                          "seen": {
                            "type": "boolean",
                            "description": "Indicates whether the user has seen the notification.",
                            "readOnly": true
                          },
                          "timestamp": {
                            "type": "string",
                            "description": "Date and time of the notification generation.",
                            "format": "date-time",
                            "readOnly": true
                          },
                          "load": {
                            "type": "string",
                            "description": "URL of the resource for the load to which the event is related.",
                            "format": "uri",
                            "readOnly": true
                          },
                          "actor": {
                            "type": "string",
                            "description": "URL of the resource for the user whose actions lead to the event.",
                            "format": "uri",
                            "readOnly": true
                          },
                          "actor_company_id": {
                            "type": "string",
                            "description": "ID of the company with which the actor user is associated.",
                            "readOnly": true
                          },
                          "carrier_id": {
                            "type": "string",
                            "description": "ID of the carrier company to which the affected load is dispatched.",
                            "readOnly": true
                          },
                          "shipper_id": {
                            "type": "string",
                            "description": "ID of the shipper company that created the affected load.",
                            "readOnly": true
                          },
                          "load_id": {
                            "type": "string",
                            "description": "ID of the load to which the event is related.",
                            "readOnly": true
                          },
                          "actor_id": {
                            "type": "string",
                            "description": "ID of the user whose actions lead to the event.",
                            "readOnly": true
                          }
                        }
                      }
                    },
                    "previous": {
                      "type": "string",
                      "description": "URL of the previous page of results.",
                      "format": "uri"
                    },
                    "next": {
                      "type": "string",
                      "description": "URL of the next page of results.",
                      "format": "uri"
                    },
                    "count": {
                      "type": "integer",
                      "description": "Total number of results."
                    }
                  }
                },
                "example": {
                  "results": [
                    {
                      "actor_id": "xw3b",
                      "load_id": "00x24",
                      "shipper_id": "j4y0",
                      "carrier_id": "jwkx",
                      "actor_company_id": "j4y0",
                      "actor": "https://ship.cars/api/users/xw3b/",
                      "load": "https://ship.cars/api/loads/00x24/",
                      "timestamp": "2018-05-08T21:41:03.357Z",
                      "seen": false,
                      "read": false,
                      "shipper": "https://ship.cars/api/companies/j4y0/",
                      "carrier": "https://ship.cars/api/companies/jwkx/",
                      "actor_company": "https://ship.cars/api/companies/j4y0/",
                      "demo": false,
                      "event_type_category": "loadboard",
                      "event_type": "posting_dispatched",
                      "id": "4d9n0",
                      "url": "https://ship.cars/api/notifications/4d9n0/"
                    },
                    {
                      "actor_id": "xw3b",
                      "load_id": "kew89",
                      "shipper_id": "j4y0",
                      "carrier_id": "jwkx",
                      "actor_company_id": "j4y0",
                      "actor": "https://ship.cars/api/users/xw3b/",
                      "load": "https://ship.cars/api/loads/kew89/",
                      "timestamp": "2018-05-08T21:28:44.582Z",
                      "seen": false,
                      "read": false,
                      "shipper": "https://ship.cars/api/companies/j4y0/",
                      "carrier": "https://ship.cars/api/companies/jwkx/",
                      "extra_object": {
                        "object_type": "offer",
                        "pk": "nx2e",
                        "url": "https://ship.cars/api/offers/nx2e/"
                      },
                      "actor_company": "https://ship.cars/api/companies/j4y0/",
                      "demo": false,
                      "event_type_category": "loadboard",
                      "event_type": "new_broker_offer",
                      "id": "w38xd",
                      "url": "https://ship.cars/api/notifications/w38xd/"
                    },
                    {
                      "actor_id": "xw3b",
                      "load_id": "00x24",
                      "shipper_id": "j4y0",
                      "actor_company_id": "j4y0",
                      "actor": "https://ship.cars/api/users/xw3b/",
                      "load": "https://ship.cars/api/loads/00x24/",
                      "timestamp": "2018-05-07T19:56:50.915Z",
                      "seen": false,
                      "read": false,
                      "shipper": "https://ship.cars/api/companies/j4y0/",
                      "extra_object": {
                        "object_type": "offer",
                        "pk": "6mpv",
                        "url": "https://ship.cars/api/offers/6mpv/"
                      },
                      "actor_company": "https://ship.cars/api/companies/j4y0/",
                      "demo": false,
                      "event_type_category": "loadboard",
                      "event_type": "new_broker_offer",
                      "id": "2gn9g",
                      "url": "https://ship.cars/api/notifications/2gn9g/"
                    }
                  ],
                  "next": "https://ship.cars/api/notifications/?limit=3&offset=3",
                  "count": 16017
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "detail": {
                      "type": "string",
                      "description": "Message giving details about the reason for the error response."
                    }
                  }
                },
                "example": {
                  "detail": "Authentication credentials were not provided."
                }
              }
            }
          }
        },
        "x-code-samples": [
          {
            "lang": "cURL",
            "source": "curl --request GET \\\n--url 'https://ship.cars/api/notifications/?limit=3' \\\n--header 'Authorization: Bearer <<USER_ACCESS_TOKEN>>'\n"
          }
        ],
        "security": [
          {
            "bearerAuth": []
          }
        ]
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```